mount -o remount,rw /dev/block/mtdblock6 /system
sleep 2
if [ -f "/system/etc/init.d/99super_bullet" ];
then
echo "Removing ALL ROM version from init.d folder"
rm /system/etc/init.d/99super_bullet
sleep 2
echo ""
echo "Removing ALL ROM BulletProofing from local.prop"
echo ""
sleep 2
fi
sed -i '/ro.HOME_APP_ADJ/d' /data/local.prop
if [ ! -f "/system/etc/rootfs/init.mapphone_umts.rc" ];
then
cp -r /init.mapphone_umts.rc /system/etc/rootfs/init.mapphone_umts.rc
fi
if [ -f "/system/etc/rootfs/init.mapphone_umts.rc.bak" ];
then
echo "Backup already exists... leaving backup intact"
else
echo "Backing up original settings..."
cp -r /system/etc/rootfs/init.mapphone_umts.rc /system/etc/rootfs/init.mapphone_umts.rc.bak
fi
sleep 2
echo ""	
echo "SuperCharging Performance to Aggressive 2..."
sleep 2
sed -i '/.*_MEM/d' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/.*_ADJ/d' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/lowmemorykiller/d' /system/etc/rootfs/init.mapphone_umts.rc
echo ""
echo "Fixing Out Of Memory (OOM) Groupings..."
sed -i '/on boot/ a\
    write /sys/module/lowmemorykiller/parameters/adj 1,2,4,7,14,15' /system/etc/rootfs/init.mapphone_umts.rc
sleep 2
sed -i '/on early/ a\
    setprop ro.FOREGROUND_APP_ADJ 0' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.FOREGROUND_APP_ADJ/ a\
    setprop ro.VISIBLE_APP_ADJ 1' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.VISIBLE_APP_ADJ/ a\
    setprop ro.PERCEPTIBLE_APP_ADJ 0' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.PERCEPTIBLE_APP_ADJ/ a\
    setprop ro.HEAVY_WEIGHT_APP_ADJ 5' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.HEAVY_WEIGHT_APP_ADJ/ a\
    setprop ro.SECONDARY_SERVER_ADJ 4' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.SECONDARY_SERVER_ADJ/ a\
    setprop ro.BACKUP_APP_ADJ 6' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.BACKUP_APP_ADJ/ a\
    setprop ro.HOME_APP_ADJ 2' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.HOME_APP_ADJ/ a\
    setprop ro.HIDDEN_APP_MIN_ADJ 7' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.HIDDEN_APP_MIN_ADJ/ a\
    setprop ro.CONTENT_PROVIDER_ADJ 8' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.CONTENT_PROVIDER_ADJ/ a\
    setprop ro.EMPTY_APP_ADJ 15' /system/etc/rootfs/init.mapphone_umts.rc
echo ""
echo "OOM Groupings are now fixed!"
sleep 2	
echo ""
echo "Setting lowmemorykiller to 6-8-24-30-40-50 mb"
echo "1536,2048,6144,7680,10240,12800" > /sys/module/lowmemorykiller/parameters/minfree
sed -i '/lowmemorykiller/ a\
    write /sys/module/lowmemorykiller/parameters/minfree 1536,2048,6144,7680,10240,12800' /system/etc/rootfs/init.mapphone_umts.rc
sleep 2	
sed -i '/ro.EMPTY_APP_ADJ/ a\
    setprop ro.FOREGROUND_APP_MEM 1536' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.FOREGROUND_APP_MEM/ a\
    setprop ro.VISIBLE_APP_MEM 2048' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.VISIBLE_APP_MEM/ a\
    setprop ro.PERCEPTIBLE_APP_MEM 1536' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.PERCEPTIBLE_APP_MEM/ a\
    setprop ro.HEAVY_WEIGHT_APP_MEM 7680' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.HEAVY_WEIGHT_APP_MEM/ a\
    setprop ro.SECONDARY_SERVER_MEM 6144' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.SECONDARY_SERVER_MEM/ a\
    setprop ro.BACKUP_APP_MEM 7680' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.BACKUP_APP_MEM/ a\
    setprop ro.HOME_APP_MEM 2048' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.HOME_APP_MEM/ a\
    setprop ro.HIDDEN_APP_MEM 7680' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.HIDDEN_APP_MEM/ a\
    setprop ro.CONTENT_PROVIDER_MEM 10240' /system/etc/rootfs/init.mapphone_umts.rc
sed -i '/ro.CONTENT_PROVIDER_MEM/ a\
    setprop ro.EMPTY_APP_MEM 12800' /system/etc/rootfs/init.mapphone_umts.rc
echo ""
echo "minfree levels = 1536,2048,6144,7680,10240,12800"
sleep 2
echo ""
echo "SUPERCHARGE IN EFFECT IMMEDIATELY!!"
sleep 2
echo ""
echo "Changes will PERSIST after reboot!!"
sleep 2
echo ""
echo "IF this is your first v5 SuperCharge...."
sleep 2
echo ""
echo "REBOOT NOW BECAUSE IT GETS EVEN BETTER!!!"
sleep 2
echo ""
echo "SuperCharging by -=zeppelinrox=- @ XDA Forums"
sleep 4
echo ""
echo "(Tap screen to cancel Auto closing)"
sleep 1
